# Uses of Interface
org.eclipse.emf.compare.MatchResource

Packages that use MatchResource
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.conflict
org.eclipse.emf.compare.diff
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.match.resource
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.provider.spec
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes
org.eclipse.emf.compare.util

## Uses of MatchResource in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return MatchResource
Modifier and Type
Method
Description
`MatchResource`
CompareFactory.`createMatchResource()`
Returns a new object of class 'Match Resource'.
Methods in org.eclipse.emf.compare that return types with arguments of type MatchResource
Modifier and Type
Method
Description
`EList<MatchResource>`
Comparison.`getMatchedResources()`
Returns the value of the 'Matched Resources' containment reference list.

## Uses of MatchResource in org.eclipse.emf.compare.conflict

Methods in org.eclipse.emf.compare.conflict that return MatchResource
Modifier and Type
Method
Description
`protected MatchResource`
DefaultConflictDetector.`getMatchResource(Comparison comparison, Resource resource)`
Returns the MatchResource corresponding to the given `resource`.

## Uses of MatchResource in org.eclipse.emf.compare.diff

Methods in org.eclipse.emf.compare.diff with parameters of type MatchResource
Modifier and Type
Method
Description
`void`
DiffBuilder.`resourceLocationChange(MatchResource matchResource, String baseLocation, String changedLocation, DifferenceKind kind, DifferenceSource source)`
Deprecated.
`ResourceLocationChange`s have been replaced by `ResourceAttachmentChange`s of kind Move.
`void`
IDiffProcessor.`resourceLocationChange(MatchResource matchResource, String baseLocation, String changedLocation, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detects the change of a Resource location.

## Uses of MatchResource in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement MatchResource
Modifier and Type
Class
Description
`class`
`MatchResourceImpl`
An implementation of the model object 'Match Resource'.
Fields in org.eclipse.emf.compare.impl with type parameters of type MatchResource
Modifier and Type
Field
Description
`protected EList<MatchResource>`
ComparisonImpl.`matchedResources`
The cached value of the '`Matched Resources`' containment reference list.
Methods in org.eclipse.emf.compare.impl that return MatchResource
Modifier and Type
Method
Description
`MatchResource`
CompareFactoryImpl.`createMatchResource()`
Methods in org.eclipse.emf.compare.impl that return types with arguments of type MatchResource
Modifier and Type
Method
Description
`EList<MatchResource>`
ComparisonImpl.`getMatchedResources()`

## Uses of MatchResource in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict that return MatchResource
Modifier and Type
Method
Description
`protected MatchResource`
AbstractConflictSearch.`getMatchResource(Resource resource)`
Returns the MatchResource corresponding to the given `resource`.

## Uses of MatchResource in org.eclipse.emf.compare.match.resource

Methods in org.eclipse.emf.compare.match.resource that return MatchResource
Modifier and Type
Method
Description
`protected static MatchResource`
LocationMatchingStrategy.`createMatchResource(Resource left, Resource right, Resource origin)`
Creates a `MatchResource` instance and sets all three resources of the mapping on it.
`protected static MatchResource`
NameMatchingStrategy.`createMatchResource(Resource left, Resource right, Resource origin)`
Creates a `MatchResource` instance and sets all three resources of the mapping on it.
`protected static MatchResource`
NameSimilarityMatchingStrategy.`createMatchResource(Resource left, Resource right, Resource origin)`
Creates a `MatchResource` instance and sets all three resources of the mapping on it.
`protected MatchResource`
RootIDMatchingStrategy.`createMatchResource(Resource left, Resource right, Resource origin)`
Creates a `MatchResource` instance and sets all three resources of the mapping on it.
`protected static MatchResource`
StrategyResourceMatcher.`createMatchResource(Resource left, Resource right, Resource origin)`
Creates a `MatchResource` instance and sets all three resources of the mapping on it.
Methods in org.eclipse.emf.compare.match.resource that return types with arguments of type MatchResource
Modifier and Type
Method
Description
`Iterable<MatchResource>`
IResourceMatcher.`createMappings(Iterator<? extends Resource> leftResources, Iterator<? extends Resource> rightResources, Iterator<? extends Resource> originResources)`
This will be called by the engine in order to retrieve the mappings created by this matcher.
`Iterable<MatchResource>`
StrategyResourceMatcher.`createMappings(Iterator<? extends Resource> leftResources, Iterator<? extends Resource> rightResources, Iterator<? extends Resource> originResources)`
This will be called by the engine in order to retrieve the mappings created by this matcher.
`List<MatchResource>`
IResourceMatchingStrategy.`matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)`
This will be called by the resource matcher in order to determine the matching between n resources.
`List<MatchResource>`
LocationMatchingStrategy.`matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)`
This will be called by the resource matcher in order to determine the matching between n resources.
`List<MatchResource>`
NameMatchingStrategy.`matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)`
This will be called by the resource matcher in order to determine the matching between n resources.
`List<MatchResource>`
NameSimilarityMatchingStrategy.`matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)`
This will be called by the resource matcher in order to determine the matching between n resources.
`List<MatchResource>`
RootIDMatchingStrategy.`matchResources(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)`
Matches the given resources according to the IDs found in their roots.

## Uses of MatchResource in org.eclipse.emf.compare.merge

Methods in org.eclipse.emf.compare.merge that return MatchResource
Modifier and Type
Method
Description
`protected MatchResource`
ResourceAttachmentChangeMerger.`getMatchResource(Comparison comparison, Resource resource)`
Returns the MatchResource corresponding to the given `resource`.

## Uses of MatchResource in org.eclipse.emf.compare.provider.spec

Methods in org.eclipse.emf.compare.provider.spec with parameters of type MatchResource
Modifier and Type
Method
Description
`static final com.google.common.base.Predicate<ResourceAttachmentChange>`
MatchResourceItemProviderSpec.`uriDifferentFromAll(MatchResource matchResource)`
Predicate to check if the URI of the current attachment change is different from all the URIs of the resources matched by the given `MatchResource`.

## Uses of MatchResource in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type MatchResource
Modifier and Type
Method
Description
`protected MatchResourceNode`
BasicDifferenceGroupImpl.`buildSubTree(MatchResource matchResource, Set<ResourceAttachmentChange> attachmentChanges)`
Build the sub tree of the given `MatchResource`.
`protected MatchResourceNode`
ByResourceGroupProvider.ResourceGroup.`buildSubTree(MatchResource matchResource, Set<ResourceAttachmentChange> attachmentChanges)`
Build the sub tree of the given `MatchResource`.
`protected MatchResourceNode`
BasicDifferenceGroupImpl.`createMatchResourceNode(MatchResource matchResource)`
Create a matchResource node.

## Uses of MatchResource in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes that return MatchResource
Modifier and Type
Method
Description
`MatchResource`
MatchResourceNode.`getMatchResource()`
Getter for the match resource represented by this TreeNode.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes with parameters of type MatchResource
Modifier
Constructor
Description
``
`MatchResourceNode(MatchResource matchResource)`
Constructor.

## Uses of MatchResource in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type MatchResource
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseMatchResource(MatchResource object)`
Returns the result of interpreting the object as an instance of 'Match Resource'.